# Interface TemplateBasedScriptGenerator

All Superinterfaces:
  `ScriptGenerator`

@Incubating public interface TemplateBasedScriptGenerator extends ScriptGenerator
Interface for generating scripts with the provided details based on a provided template.

## Method Summary

Modifier and Type
Method
Description
`TextResource`
`getTemplate()`
Gets the template reader used for generating script.
`void`
`setTemplate(TextResource template)`
Sets the template text resource used for generating script.

### Methods inherited from interface ScriptGenerator

`generateScript`

## Method Details

### setTemplate

void setTemplate(TextResource template)
Sets the template text resource used for generating script.

Parameters:
  `template` - Template text resource

### getTemplate

TextResource getTemplate()
Gets the template reader used for generating script.

Returns:
  Template reader